package com.hdp.customerservice.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.ibm.icu.util.Calendar;

/**
 * (pi_customerservice_history)
 * 
 * @author bianj
 * @version 1.0.0 2015-06-17
 */
@Entity
@Table(name = "pi_customerservice_history")
public class HistoryEntity implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 5661580036137274390L;
    
    /**  */
    @Id
	@GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;
    
    /**  */
    @Column(name = "ent_code", nullable = false, length = 10)
    private Integer entCode;
    
    /**  */
    @Column(name = "openid", nullable = false, length = 64)
    private String openId;
    
    /**  */
    @Column(name = "workid", nullable = false, length = 19)
    private Long workId;
    
    /**  */
    @Column(name = "content", nullable = true, length = 65535)
    private String content;
    
    /**  */
    @Column(name = "type", nullable = false, length = 10)
    private Integer type;
    
    /**  */
    @Column(name = "year", nullable = false, length = 10)
    private Integer year;
    
    /**  */
    @Column(name = "month", nullable = false, length = 10)
    private Integer month;
    
    /**  */
    @Column(name = "day", nullable = false, length = 10)
    private Integer day;
    
    /**  */
    @Column(name = "createat", nullable = false)
    private Date createAt;
    
    public HistoryEntity(){}
    
    public HistoryEntity(Integer entCode,String openid,Long workid,String content,Integer type){
    	this.entCode=entCode;
    	this.openId=openid;
    	this.workId=workid;
    	this.content=content;
    	this.type=type;
    	Calendar c = Calendar.getInstance();
    	c.setTime(new Date());
    	this.year=c.get(Calendar.YEAR);
    	this.month=c.get(Calendar.MONTH)+1;
    	this.day=c.get(Calendar.DATE);
    	this.createAt = c.getTime();
    }
    /**
     * 获取
     * 
     * @return 
     */
     public Long getId() {
        return this.id;
     }
     
    /**
     * 设置
     * 
     * @param id
     *          
     */
     public void setId(Long id) {
        this.id = id;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getEntCode() {
        return this.entCode;
     }
     
    /**
     * 设置
     * 
     * @param entCode
     *          
     */
     public void setEntCode(Integer entCode) {
        this.entCode = entCode;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getOpenId() {
        return this.openId;
     }
     
    /**
     * 设置
     * 
     * @param openid
     *          
     */
     public void setOpenId(String openId) {
        this.openId = openId;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Long getWorkId() {
        return this.workId;
     }
     
    /**
     * 设置
     * 
     * @param workid
     *          
     */
     public void setWorkId(Long workId) {
        this.workId = workId;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getContent() {
        return this.content;
     }
     
    /**
     * 设置
     * 
     * @param content
     *          
     */
     public void setContent(String content) {
        this.content = content;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getType() {
        return this.type;
     }
     
    /**
     * 设置
     * 
     * @param type
     *          
     */
     public void setType(Integer type) {
        this.type = type;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getYear() {
        return this.year;
     }
     
    /**
     * 设置
     * 
     * @param year
     *          
     */
     public void setYear(Integer year) {
        this.year = year;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getMonth() {
        return this.month;
     }
     
    /**
     * 设置
     * 
     * @param month
     *          
     */
     public void setMonth(Integer month) {
        this.month = month;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getDay() {
        return this.day;
     }
     
    /**
     * 设置
     * 
     * @param day
     *          
     */
     public void setDay(Integer day) {
        this.day = day;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Date getCreateAt() {
        return this.createAt;
     }
     
    /**
     * 设置
     * 
     * @param createat
     *          
     */
     public void setCreateAt(Date createAt) {
        this.createAt = createAt;
     }
}