package com.hdp.customerservice.websocket;

import java.io.IOException;

import javax.servlet.http.HttpSession;
import javax.websocket.EndpointConfig;
import javax.websocket.OnClose;
import javax.websocket.OnError;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.hdp.customerservice.model.WorksEntity;
import com.hdp.customerservice.websocket.model.Waiter;

@ServerEndpoint(value="/im",configurator=GetHttpSessionConfigurator.class)
public class IMWebSocketEndpoint {
	private static Log log=LogFactory.getLog(IMWebSocketEndpoint.class);
	private HttpSession httpSession;//当前登录用户的http session
	private Waiter waiter;//当前客服
	@OnOpen
	public void handleConnect(Session session,EndpointConfig config) throws IOException{
        this.httpSession = (HttpSession) config.getUserProperties()
                .get(HttpSession.class.getName());
        
        WorksEntity worksEntity = (WorksEntity)this.httpSession.getAttribute("user");
       
        waiter = new Waiter();
        waiter.entCode=worksEntity.getEntCode();
		waiter.id=worksEntity.getId().toString();
		waiter.nickName=worksEntity.getNickName();
		waiter.headImg=worksEntity.getHeadImg();
		waiter.userName=worksEntity.getUserName();
		waiter.session = session;
		WaiterManager.addWaiter(waiter);//当前所有在线客服
	}
	
	@OnClose
	public void handleClose(Session session){
		log.info(waiter.nickName + "离线了");
	}
	
	@OnError
	public void handleError(Throwable t){
		log.info(t);
	}
	
	@OnMessage
	public void handleMessage(Session session, String message) throws IOException {
	}
}
